# ProgressBarExtensions

Namespace: **Wisej.Web.Markup**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides fluent markup extension methods for configuring properties of the [ProgressBar](/api/wisej.web/content/wisej.web.progressbar.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ProgressBarExtensions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ProgressBarExtensions
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) BarColor\<TProgressBar>(progressBar, color)

Sets the color of the progress bar using a [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color) structure.

| Parameter        | Type                                                                                       | Description                   |
| ---------------- | ------------------------------------------------------------------------------------------ | ----------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar. |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.   |
| **color**        | [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color)                        | The color to set.             |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.

### ![](/files/lIX317sDtMTZJBi9oSIx) BarColor\<TProgressBar>(progressBar, color)

Sets the color of the progress bar using a color name.

| Parameter        | Type                                                                                       | Description                   |
| ---------------- | ------------------------------------------------------------------------------------------ | ----------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar. |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.   |
| **color**        | [String](https://docs.microsoft.com/dotnet/api/system.string)                              | The name of the color.        |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.

### ![](/files/lIX317sDtMTZJBi9oSIx) BarColor\<TProgressBar>(progressBar, color)

Sets the color of the progress bar using an ARGB integer.

| Parameter        | Type                                                                                       | Description                   |
| ---------------- | ------------------------------------------------------------------------------------------ | ----------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar. |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.   |
| **color**        | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                | The ARGB value of the color.  |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.

### ![](/files/lIX317sDtMTZJBi9oSIx) BarColor\<TProgressBar>(progressBar, r, g, b)

Sets the color of the progress bar using RGB components.

| Parameter        | Type                                                                                       | Description                   |
| ---------------- | ------------------------------------------------------------------------------------------ | ----------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar. |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.   |
| **r**            | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                | The red component.            |
| **g**            | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                | The green component.          |
| **b**            | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                | The blue component.           |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.

### ![](/files/lIX317sDtMTZJBi9oSIx) BorderStyle\<TProgressBar>(progressBar, borderStyle)

Sets the border style of the specified progress bar.

| Parameter        | Type                                                                                       | Description                   |
| ---------------- | ------------------------------------------------------------------------------------------ | ----------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar. |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.   |
| **borderStyle**  | [BorderStyle](/api/wisej.web/enumerations/wisej.web.borderstyle.md)                        | The border style to set.      |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.

### ![](/files/lIX317sDtMTZJBi9oSIx) Maximum\<TProgressBar>(progressBar, value)

Sets the maximum value of the specified progress bar.

| Parameter        | Type                                                                                       | Description                             |
| ---------------- | ------------------------------------------------------------------------------------------ | --------------------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar.           |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.             |
| **value**        | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                | The maximum value for the progress bar. |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.

### ![](/files/lIX317sDtMTZJBi9oSIx) Minimum\<TProgressBar>(progressBar, value)

Sets the minimum value of the specified progress bar.

| Parameter        | Type                                                                                       | Description                             |
| ---------------- | ------------------------------------------------------------------------------------------ | --------------------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar.           |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.             |
| **value**        | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                | The minimum value for the progress bar. |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.

### ![](/files/lIX317sDtMTZJBi9oSIx) Step\<TProgressBar>(progressBar, value)

Sets the step increment value of the specified progress bar.

| Parameter        | Type                                                                                       | Description                   |
| ---------------- | ------------------------------------------------------------------------------------------ | ----------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar. |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.   |
| **value**        | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                | The step increment value.     |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.

### ![](/files/lIX317sDtMTZJBi9oSIx) Value\<TProgressBar>(progressBar, value)

Sets the current value of the specified progress bar.

| Parameter        | Type                                                                                       | Description                         |
| ---------------- | ------------------------------------------------------------------------------------------ | ----------------------------------- |
| **TProgressBar** |                                                                                            | The type of the progress bar.       |
| **progressBar**  | [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md) | The progress bar to modify.         |
| **value**        | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                | The new value for the progress bar. |

**Returns:** [TProgressBar](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md). The modified progress bar.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
